> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an overtime rate



## OpenAPI

````yaml /spec/openapi.json get /overtime_rates/{overtime_rate}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /overtime_rates/{overtime_rate}:
    get:
      tags:
        - Overtime Rates
      summary: Retrieve an overtime rate
      operationId: overtime-rates-show
      parameters:
        - name: overtime_rate
          in: path
          schema:
            type: string
          required: true
        - name: expand
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - business_preset
                - expense_accounting_code
                - liability_accounting_code
                - pay_rate
                - tag_assignment
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"overtime_rate"`).
                    readOnly: true
                  data:
                    type: object
                    allOf:
                      - $ref: '#/components/schemas/OvertimeRate'
                    anyOf:
                      - type: object
                        title: Default
                      - type: object
                        title: With pay_rate expanded
                        properties:
                          pay_rate:
                            type: object
                            properties:
                              data:
                                $ref: '#/components/schemas/PayRate'
                      - type: object
                        title: With business_preset expanded
                        properties:
                          business_preset:
                            type: object
                            properties:
                              data:
                                $ref: '#/components/schemas/BusinessPreset'
                      - type: object
                        title: With expense_accounting_code expanded
                        properties:
                          expense_accounting_code:
                            type: object
                            properties:
                              data:
                                $ref: '#/components/schemas/ExpenseAccountingCode'
                      - type: object
                        title: With liability_accounting_code expanded
                        properties:
                          liability_accounting_code:
                            type: object
                            properties:
                              data:
                                $ref: '#/components/schemas/LiabilityAccountingCode'
                      - type: object
                        title: With tag_assignment expanded
                        properties:
                          tag_assignment:
                            type: object
                            properties:
                              id:
                                type: string
                                description: The unique identifier of the object in Nmbr.
                                readOnly: true
                              object:
                                type: string
                                description: The type of the object in Nmbr.
                                readOnly: true
                              data:
                                $ref: '#/components/schemas/TagAssignment'
              example:
                id: <id>
                object: overtime_rate
                data:
                  pay_rate:
                    id: <id>
                    object: pay_rate
                    links:
                      self: /pay_rates/<id>
                  title: 1.5x
                  title_translated: 1.5x
                  rate_multiplier: 1.5
                  hourly_rate: 22.5
                  hourly_rate_override: null
                  business_preset: null
                  expense_accounting_code: null
                  liability_accounting_code: null
                  archived_at: null
                  is_editable: true
                  is_deletable: true
                  external_ref: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /overtime_rates/<id>
components:
  schemas:
    OvertimeRate:
      type: object
      title: Overtime Rate
      properties:
        pay_rate:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"pay_rate"`).
              readOnly: true
        title:
          type: string
          nullable: true
        title_translated:
          type: string
          description: >-
            The translation of the `title` property for the request locale.
            Computed using the values in `title` and `title_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        rate_multiplier:
          type: number
          nullable: true
          format: decimal
        hourly_rate:
          type: number
          nullable: true
          format: decimal
        hourly_rate_override:
          type: number
          nullable: true
          format: decimal
        business_preset: {}
        expense_accounting_code: {}
        liability_accounting_code: {}
        archived_at:
          type: string
          description: The date and time the object was archived in Nmbr.
          readOnly: true
          nullable: true
          format: dateTime
        is_editable:
          type: boolean
          description: >-
            After a PayRate is on a non-draft payroll, its Type and Rate may not
            be updated.
        is_deletable:
          type: boolean
          description: After a PayRate is on a non-draft payroll, it may not be deleted.
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
    PayRate:
      type: object
      title: Pay Rate
      properties:
        work_assignment:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"work_assignment"`).
              readOnly: true
        title:
          type: string
          maxLength: 255
        title_translations:
          type: object
          description: Optional translations for the `title` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        title_translated:
          type: string
          description: >-
            The translation of the `title` property for the request locale.
            Computed using the values in `title` and `title_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        type:
          type: string
          description: >-
            Whether this is a `salary` or `hourly` pay rate. Determines how
            `rate` is interpreted.
          enum:
            - hourly
            - salary
        rate:
          type: number
          description: >-
            The annual salary when `type` is `salary`, or the hourly wage when
            `type` is `hourly`.
          format: decimal
        expected_hours_per_week:
          type: number
          description: >-
            The expected number of working hours per week. Must be greater than
            `0` for `salary` pay rates. Used to calculate the equivalent hourly
            rate from salaries for overtime.
          format: decimal
        is_editable:
          type: boolean
          description: >-
            Whether the pay rate's `type`, `rate`, and `effective_from` can be
            modified. Once the pay rate has been used on a non-draft Payroll,
            these fields are locked.
        is_deletable:
          type: boolean
          description: >-
            Whether the pay rate can be deleted. A pay rate may not be deleted
            once it has been used on a non-draft Payroll.
        effective_from:
          type: string
          description: The date from which this pay rate is applied to Pay Stubs.
          format: date
        earliest_valid_effective_to:
          type: string
          description: >-
            The earliest date that `effective_to` may be set to, based on the
            most recent non-draft Payroll period in which this pay rate was
            active.
          format: date
        effective_to:
          type: string
          description: >-
            The date after which this pay rate is no longer applied and can no
            longer be used to create Earning Line Items. `null` if the pay rate
            applies indefinitely.
          nullable: true
          format: date
        business_preset: {}
        expense_accounting_code: {}
        liability_accounting_code: {}
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
    BusinessPreset:
      type: object
      title: Business Preset
      properties:
        business_entity:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        name:
          type: string
          maxLength: 255
        name_translations:
          type: object
          description: Optional translations for the `name` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        name_translated:
          type: string
          description: >-
            The translation of the `name` property for the request locale.
            Computed using the values in `name` and `name_translations` and the
            value of the request's `Accept-Language` header.
          readOnly: true
        title:
          type: string
          nullable: true
        title_translations:
          type: object
          description: Optional translations for the `title` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        title_translated:
          type: string
          description: >-
            The translation of the `title` property for the request locale.
            Computed using the values in `title` and `title_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        type:
          type: string
          maxLength: 255
        subtype:
          type: string
          nullable: true
          maxLength: 255
        remittance_account: {}
        is_managed:
          type: boolean
          description: >-
            If true, this is a default Business Preset and can not be deleted,
            `title` and `remittance_account` may be set.
        expense_accounting_code: {}
        liability_accounting_code: {}
        income_basis:
          type: string
          nullable: true
          enum:
            - all_earnings
            - none
            - regular_earnings
            - total_income
        income_includes:
          type: object
          nullable: true
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
    ExpenseAccountingCode:
      $ref: '#/components/schemas/AccountingCode'
    LiabilityAccountingCode:
      $ref: '#/components/schemas/AccountingCode'
    TagAssignment:
      type: object
      properties:
        unit:
          type: string
          enum:
            - amount
            - hours
            - percentage
        tag_allocations:
          type: array
          items:
            type: object
            properties:
              tags:
                type: array
                items:
                  $ref: '#/components/schemas/Tag'
              value:
                type: number
                format: decimal
              expense_accounting_code:
                $ref: '#/components/schemas/AccountingCode'
              liability_accounting_code:
                $ref: '#/components/schemas/AccountingCode'
    Translations:
      type: object
      nullable: true
      properties:
        en:
          type: string
          maxLength: 255
        fr:
          type: string
          maxLength: 255
    AccountingCode:
      type: object
      title: Accounting Code
      properties:
        business_entity:
          type: object
          description: The Business Entity this accounting code belongs to.
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        type:
          type: string
          description: The type of accounting code.
          enum:
            - bank
            - expense
            - liability
        code:
          type: string
          description: >-
            The accounting code identifier as it appears in the chart of
            accounts.
          nullable: true
          maxLength: 255
        title:
          type: string
          maxLength: 255
        title_translations:
          type: object
          description: Optional translations for the `title` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        title_translated:
          type: string
          description: >-
            The translation of the `title` property for the request locale.
            Computed using the values in `title` and `title_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        description:
          type: string
          nullable: true
        description_translations:
          type: object
          description: Optional translations for the `description` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        description_translated:
          type: string
          description: >-
            The translation of the `description` property for the request
            locale. Computed using the values in `description` and
            `description_translations` and the value of the request's
            `Accept-Language` header.
          readOnly: true
        mapping:
          type: object
          nullable: true
          properties:
            xero:
              type: boolean
            quickbooks:
              type: boolean
        fallback_mappings:
          type: object
          description: >-
            Line Item type/subtype pairs that default to this accounting code
            when no specific mapping is configured. Each entry contains `type`
            and `subtype`.
          nullable: true
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
    Tag:
      type: object
      title: Tag
      properties:
        label:
          type: string
          maxLength: 255
        label_translations:
          type: object
          description: Optional translations for the `label` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        label_translated:
          type: string
          description: >-
            The translation of the `label` property for the request locale.
            Computed using the values in `label` and `label_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        description:
          type: string
          nullable: true
        description_translations:
          type: object
          description: Optional translations for the `description` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        description_translated:
          type: string
          description: >-
            The translation of the `description` property for the request
            locale. Computed using the values in `description` and
            `description_translations` and the value of the request's
            `Accept-Language` header.
          readOnly: true
        archived_at:
          type: string
          description: >-
            When set, the tag is archived and excluded from index listings by
            default.
          readOnly: true
          nullable: true
          format: dateTime
        is_deletable:
          type: boolean
          description: >-
            A tag may not be deleted while it is assigned to any active
            allocation.
        integrations:
          type: object
          description: >-
            Identifiers for this tag in external accounting integrations, used
            to sync tags imported from those systems.
          nullable: true
          properties:
            xero:
              type: object
              nullable: true
              properties:
                id:
                  type: string
                  description: The unique identifier of the object in Nmbr.
                  readOnly: true
                  maxLength: 32
            quickbooks:
              type: object
              nullable: true
              properties:
                id:
                  type: string
                  description: The unique identifier of the object in Nmbr.
                  readOnly: true
                  maxLength: 32
        tag_group:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"tag_group"`).
              readOnly: true
        business_entity:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````